Bug 1191091 (CVE-2014-9668)

Summary: CVE-2014-9668 freetype: integer overflow in woff_open_font() leading to heap-based buffer overflow
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, fonts-bugs, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: freetype 2.5.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-23 12:13:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1191099    
Bug Blocks: 1191102    

Description Vasyl Kaigorodov 2015-02-10 12:52:04 UTC
Common Vulnerabilities and Exposures assigned CVE-2014-9668 to the following issue:

The woff_open_font function in sfnt/sfobjs.c in FreeType before 2.5.4 proceeds
with offset+length calculations without restricting length values, which allows
remote attackers to cause a denial of service (integer overflow and heap-based
buffer overflow) or possibly have unspecified other impact via a crafted Web
Open Font Format (WOFF) file.

http://code.google.com/p/google-security-research/issues/detail?id=164
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=f46add13895337ece929b18bb8f036431b3fb538

Comment 1 Vasyl Kaigorodov 2015-02-10 12:57:30 UTC
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1191099]

Comment 2 Fedora Update System 2015-02-19 18:01:22 UTC
freetype-2.5.3-15.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-20 08:30:59 UTC
freetype-2.5.0-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Tomas Hoger 2015-02-23 12:13:38 UTC
Upstream bug is:
https://savannah.nongnu.org/bugs/?43589

Issue was fixed upstream in 2.5.4.

Affected code does not exist in the freetype packages shipped in Red Hat Enterprise Linux 7 and earlier.  It was added as part of WOFF format support, introduced upstream in version 2.5.1 via the following commit:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=d689d1cf

Statement:

Not vulnerable. This issue did not affect the versions of freetype as shipped with Red Hat Enterprise Linux 5, 6 and 7.